> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Export batch details for org

GET https://api-sandbox.payabli.com/api/Export/batchDetails/{format}/org/{orgId}

<Warning>
  This endpoint is deprecated. To export this data, use [List batch details for org](/developers/api-reference/query/get-list-of-batchdetails-for-an-organization) with the `exportFormat` query parameter instead.
</Warning>

Export batch details for an organization. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/export/export-batch-details-for-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Export/batchDetails/{format}/org/{orgId}:
    get:
      operationId: ExportBatchDetailsOrg
      summary: Export batch details for an org
      description: |-
        <Warning>
          This endpoint is deprecated. To export this data, use [List batch details for org](/developers/api-reference/query/get-list-of-batchdetails-for-an-organization) with the `exportFormat` query parameter instead.
        </Warning>

        Export batch details for an organization. Use filters to limit results.
      tags:
        - Export
      parameters:
        - name: format
          in: path
          description: Format for the export, either XLSX or CSV.
          required: true
          schema:
            $ref: '#/components/schemas/ExportFormat1'
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: columnsExport
          in: query
          required: false
          schema:
            type: string
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            The number of records to return for the query. The maximum is 30,000
            records. When this parameter isn't sent, the API returns up to
            25,000 records.
          required: false
          schema:
            type: integer
            default: 25000
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            **List of field names accepted:**

              - `settlementDate` (gt, ge, lt, le, eq, ne)
              - `depositDate` (gt, ge, lt, le, eq, ne)
              - `transId`  (ne, eq, ct, nct)
              - `gatewayTransId`  (ne, eq, ct, nct)
              - `method`   (in, nin, eq, ne)
              - `settledAmount`  (gt, ge, lt, le, eq, ne)
              - `operation`    (in, nin, eq, ne)
              - `source`   (in, nin, eq, ne)
              - `batchNumber`  (ct, nct, eq, ne)
              - `payaccountLastfour`   (nct, ct)
              - `payaccountType`   (ne, eq, in, nin)
              - `customerFirstname`   (ct, nct, eq, ne)
              - `customerLastname`    (ct, nct, eq, ne)
              - `customerName`   (ct, nct)
              - `customerId`  (eq, ne)
              - `customerNumber`  (ct, nct, eq, ne)
              - `customerCompanyname`    (ct, nct, eq, ne)
              - `customerAddress` (ct, nct, eq, ne)
              - `customerCity`    (ct, nct, eq, ne)
              - `customerZip` (ct, nct, eq, ne)
              - `customerState` (ct, nct, eq, ne)
              - `customerCountry` (ct, nct, eq, ne)
              - `customerPhone` (ct, nct, eq, ne)
              - `customerEmail` (ct, nct, eq, ne)
              - `customerShippingAddress` (ct, nct, eq, ne)
              - `customerShippingCity`    (ct, nct, eq, ne)
              - `customerShippingZip` (ct, nct, eq, ne)
              - `customerShippingState` (ct, nct, eq, ne)
              - `customerShippingCountry` (ct, nct, eq, ne)
              - `orgId`  (eq) *mandatory when entry=org*
              - `isHold` (eq, ne)
              - `paypointId`  (ne, eq)
              - `paypointLegal`  (ne, eq, ct, nct)
              - `paypointDba`  (ne, eq, ct, nct)
              - `orgName`  (ne, eq, ct, nct)
              - `batchId` (ct, nct, eq, neq)
              - `additional-xxx`  (ne, eq, ct, nct) where xxx is the additional field name

            List of parameters accepted:

            - limitRecord: max number of records for query (default="20", "0" or
            negative value for all)

            - fromRecord: initial record in query


            Example: `amount(gt)=20` return all records with amount greater than
            20.00
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/File'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat1:
      type: string
      enum:
        - csv
        - xlsx
      title: ExportFormat1
    File:
      type: object
      additionalProperties:
        description: Any type
      description: >-
        A file containing the response data, in the format specified in the
        request.
      title: File
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "key": "value"
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.export.exportBatchDetailsOrg("csv", 123, {
        columnsExport: "BatchDate:Batch_Date,PaypointName:Legal_name",
        fromRecord: 251,
        limitRecord: 1000,
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.export.export_batch_details_org(
    format="csv",
    org_id=123,
    columns_export="BatchDate:Batch_Date,PaypointName:Legal_name",
    from_record=251,
    limit_record=1000,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.export.requests.ExportBatchDetailsOrgRequest;
import io.github.payabli.api.types.ExportFormat1;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.export().exportBatchDetailsOrg(
            ExportFormat1.CSV,
            123,
            ExportBatchDetailsOrgRequest
                .builder()
                .columnsExport("BatchDate:Batch_Date,PaypointName:Legal_name")
                .fromRecord(251)
                .limitRecord(1000)
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.export.export_batch_details_org(
  format: "csv",
  org_id: 123,
  columns_export: "BatchDate:Batch_Date,PaypointName:Legal_name",
  from_record: 251,
  limit_record: 1000
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Export.ExportBatchDetailsOrgAsync(
            ExportFormat1.Csv,
            123,
            new ExportBatchDetailsOrgRequest {
                ColumnsExport = "BatchDate:Batch_Date,PaypointName:Legal_name",
                FromRecord = 251,
                LimitRecord = 1000
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ExportBatchDetailsOrgRequest{
        ColumnsExport: payabli.String(
            "BatchDate:Batch_Date,PaypointName:Legal_name",
        ),
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            1000,
        ),
    }
    client.Export.ExportBatchDetailsOrg(
        context.TODO(),
        payabli.ExportFormat1Csv.Ptr(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Types\ExportFormat1;
use Payabli\Export\Requests\ExportBatchDetailsOrgRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->export->exportBatchDetailsOrg(
    ExportFormat1::Csv->value,
    123,
    new ExportBatchDetailsOrgRequest([
        'columnsExport' => 'BatchDate:Batch_Date,PaypointName:Legal_name',
        'fromRecord' => 251,
        'limitRecord' => 1000,
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Export/batchDetails/csv/org/123?columnsExport=BatchDate%3ABatch_Date%2CPaypointName%3ALegal_name&fromRecord=251&limitRecord=1000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```